From 1f29584e57f5fda09970c66f3b94f4720e09c1bb Mon Sep 17 00:00:00 2001
From: Ross Burton <ross.burton@intel.com>
Date: Tue, 12 Apr 2016 15:51:54 +0100
Subject: [PATCH] rsync: remove upstream's rebuild logic

Remove the Makefile rules to reinvoke autoconf, they're not out-of-tree safe and
generally overcomplicated, and we ensure that autoreconf is invoked if required.

Upstream-Status: Inappropriate
Signed-off-by: Ross Burton <ross.burton@intel.com>

---
 Makefile.in | 54 -----------------------------------------------------
 1 file changed, 54 deletions(-)

diff --git a/Makefile.in b/Makefile.in
index 672fcc4..c12d8d4 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -168,60 +168,6 @@ gen: conf proto.h man
 gensend: gen
 	rsync -aic $(GENFILES) $${SAMBA_HOST-samba.org}:/home/ftp/pub/rsync/generated-files/
 
-aclocal.m4: $(srcdir)/m4/*.m4
-	aclocal -I $(srcdir)/m4
-
-configure.sh config.h.in: configure.ac aclocal.m4
-	@if test -f configure.sh; then cp -p configure.sh configure.sh.old; else touch configure.sh.old; fi
-	@if test -f config.h.in; then cp -p config.h.in config.h.in.old; else touch config.h.in.old; fi
-	autoconf -o configure.sh
-	autoheader && touch config.h.in
-	@if diff configure.sh configure.sh.old >/dev/null 2>&1; then \
-	    echo "configure.sh is unchanged."; \
-	    rm configure.sh.old; \
-	else \
-	    echo "configure.sh has CHANGED."; \
-	fi
-	@if diff config.h.in config.h.in.old >/dev/null 2>&1; then \
-	    echo "config.h.in is unchanged."; \
-	    rm config.h.in.old; \
-	else \
-	    echo "config.h.in has CHANGED."; \
-	fi
-	@if test -f configure.sh.old -o -f config.h.in.old; then \
-	    if test "$(MAKECMDGOALS)" = reconfigure; then \
-		echo 'Continuing with "make reconfigure".'; \
-	    else \
-		echo 'You may need to run:'; \
-		echo '  make reconfigure'; \
-		exit 1; \
-	    fi \
-	fi
-
-.PHONY: reconfigure
-reconfigure: configure.sh
-	./config.status --recheck
-	./config.status
-
-.PHONY: restatus
-restatus:
-	./config.status
-
-Makefile: Makefile.in config.status configure.sh config.h.in
-	@if test -f Makefile; then cp -p Makefile Makefile.old; else touch Makefile.old; fi
-	@./config.status
-	@if diff Makefile Makefile.old >/dev/null 2>&1; then \
-	    echo "Makefile is unchanged."; \
-	    rm Makefile.old; \
-	else \
-	    if test "$(MAKECMDGOALS)" = reconfigure; then \
-		echo 'Continuing with "make reconfigure".'; \
-	    else \
-		echo "Makefile updated -- rerun your make command."; \
-		exit 1; \
-	    fi \
-	fi
-
 stunnel-rsyncd.conf: $(srcdir)/stunnel-rsyncd.conf.in Makefile
 	sed 's;\@bindir\@;$(bindir);g' <$(srcdir)/stunnel-rsyncd.conf.in >stunnel-rsyncd.conf
 
